LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Java and Vuze installation on KDE Debian Wheezy sid (http://www.linuxquestions.org/questions/linux-newbie-8/java-and-vuze-installation-on-kde-debian-wheezy-sid-913723/)

infoslaw 11-15-2011 05:32 PM

Java and Vuze installation on KDE Debian Wheezy sid
 
Hi Everyone,

Again need your help guys. I tried to install Java on my new KDE Debian Wheezy and no success.

I downloaded jre-6u29-linux-i586.bin and when I make

$ fakeroot make-jpkg jre-6u29-linux-i586.bin

then I get:

Creating temporary directory: /tmp/make-jpkg.j7mPxqr15Q
Loading plugins: blackdown-j2re.sh blackdown-j2sdk.sh common.sh ibm-j2re.sh ibm-j2sdk.sh j2re.sh j2sdk-doc.sh j2sdk.sh j2se.sh sun-j2re.sh sun-j2sdk-doc.sh sun-j2sdk.sh

Detected Debian build architecture: i386
Detected Debian GNU type: i486-linux-gnu

No matching plugin was found.
Removing temporary directory: done


I would like to use Vuze which working on Java.

I really appreciate your help.

craigevil 11-15-2011 10:12 PM

apt-get install openjdk-6-jre

kostya 11-15-2011 10:31 PM

Maybe this way:
Quote:

DEB_BUILD_GNU_TYPE=i486-linux-gnu DEB_BUILD_ARCH=i386 fakeroot make-jpkg jdk-6u*-linux-i586.bin
?

infoslaw 11-16-2011 04:41 AM

Quote:

Originally Posted by craigevil (Post 4525104)
apt-get install openjdk-6-jre


Thank you for answer.

when I make apt-get install openjdk-6-jre

then I received:
Reading package lists... Done
Building dependency tree
Reading state information... Done
openjdk-6-jre is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

but I checked java -version
bash: java: command not found

I think that not have in wheezy repository Java to install. Any idea?

infoslaw 11-16-2011 08:02 AM

Quote:

Originally Posted by kostya (Post 4525114)
Maybe this way:
?

Hello kostya,

Thank you for idea. I found jdk developer version and I create deb package but with errors and finally after apt-get update / apt-get upgrade I receiving this:


$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
ttf-sil-gentium-basic
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]?

(Yes)

Setting up sun-j2sdk1.5 (1.5.0+update22) ...
update-alternatives: error: alternative path /usr/lib/j2sdk1.5-sun/jre/plugin/i386/ns4/libjavaplugin.so doesn't exist.
dpkg: error processing sun-j2sdk1.5 (--configure):
subprocess installed post-installation script returned error exit status 2
configured to not write apport reports
Errors were encountered while processing:
sun-j2sdk1.5
E: Sub-process /usr/bin/dpkg returned an error code (1)


Looks like missing something?

I check java version:

$ java -version
java version "1.5.0_22"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_22-b03)
Java HotSpot(TM) Server VM (build 1.5.0_22-b03, mixed mode)

But something missing to complete installation.

craigevil 11-16-2011 06:18 PM

$ java -version
java version "1.7.0_147-icedtea"
OpenJDK Runtime Environment (IcedTea7 2.0) (7~b147-2.0-1)
OpenJDK Client VM (build 21.0-b17, mixed mode, sharing)

apt-get install openjdk-6-jre icedtea-plugin


NO need to build or download just use the package management system.

Java - Debian Wiki - http://wiki.debian.org/Java

kostya 11-17-2011 05:43 AM

Quote:

Originally Posted by infoslaw (Post 4525530)
update-alternatives: error: alternative path /usr/lib/j2sdk1.5-sun/jre/plugin/i386/ns4/libjavaplugin.so doesn't exist.
dpkg: error processing sun-j2sdk1.5 (--configure):
subprocess installed post-installation script returned error exit status 2
configured to not write apport reports
Errors were encountered while processing:
sun-j2sdk1.5
E: Sub-process /usr/bin/dpkg returned an error code (1)

Google is your friend :)
Here is your bug and solution.

infoslaw 11-17-2011 06:51 AM

Quote:

Originally Posted by craigevil (Post 4526063)
$ java -version
java version "1.7.0_147-icedtea"
OpenJDK Runtime Environment (IcedTea7 2.0) (7~b147-2.0-1)
OpenJDK Client VM (build 21.0-b17, mixed mode, sharing)

apt-get install openjdk-6-jre icedtea-plugin


NO need to build or download just use the package management system.

Java - Debian Wiki - http://wiki.debian.org/Java

Hi Craigevil,

Thanks for another answer. I did it:

$ sudo apt-get install default-jre
Reading package lists... Done
Building dependency tree
Reading state information... Done
default-jre is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

but in linux cannot see java version???

also I found in Debian Wiki this sad information:

The following JRE/JDK aren't available in Debian anymore as of DebianSqueeze:

Sun's JRE 1.5
kaffe
jamvm

Craigdevil Which distro are you use?

kostya 11-18-2011 07:53 PM

Hey infoslaw, do you have `openjdk-6-jre-headless` package installed?
It MUST be installed as a dependency for `openjdk-6-jre`, which your system says is already installed last version. Or not?
It says `openjdk-jre` "points to the Java runtime, or Java compatible runtime recommended for the amd64 architecture, which is openjdk-6-jre for amd64."

If so, then `java` executable is there: /usr/lib/jvm/java-6-openjdk-i386/bin/java
(Look here)

Then if you don't get $java --version, then you just need to add `/usr/lib/jvm/java-6-openjdk-i386/bin` to your PATH, or something like that.
At least, that was the only java executable I found among the related Debian packages.

craigevil 11-19-2011 10:18 AM

i run sid.
if the wiki doesn't work take a look at http://www.crazysquirrel.com/computing/debian/java.jspx

infoslaw 12-01-2011 06:34 PM

Thank so much for all help. I not answered long time because take my time re-installation system on laptop. I make decision to work on more stable debian squeeze kde (so important daily things to do on my machine) but I think that only if I get spare hdd to swap I will back to play with unstable squeeze.

Of course I have couple issues with current distro and probably I will post on forum.

Once again thank you very much. Nice strong Linux community keep together!

infoslaw 12-28-2011 08:24 AM

Java
 
And again I installed on spare disk Debian Wheezy but this time KDE (not Gnome) mostly everything working fine on my Lenovo X200, Java has been installed in standard packages. Vuze and other Java based applications can run now.
Thank you for your help.


All times are GMT -5. The time now is 05:06 PM.